# Uses of Interface
org.eclipse.jface.text.ITextListener

Packages that use ITextListener
Package
Description
org.eclipse.compare.internal
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.

## Uses of ITextListener in org.eclipse.compare.internal

Classes in org.eclipse.compare.internal that implement ITextListener
Modifier and Type
Class
Description
`class`
`MergeSourceViewer`
Wraps a JFace SourceViewer and add some convenience methods.

## Uses of ITextListener in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement ITextListener
Modifier and Type
Class
Description
`final class`
`PaintManager`
Manages the `IPainter` object registered with an `ITextViewer`.
Fields in org.eclipse.jface.text with type parameters of type ITextListener
Modifier and Type
Field
Description
`protected List<ITextListener>`
TextViewer.`fTextListeners`
All registered text listeners
Methods in org.eclipse.jface.text with parameters of type ITextListener
Modifier and Type
Method
Description
`void`
ITextViewer.`addTextListener(ITextListener listener)`
Adds a text listener to this viewer.
`void`
TextViewer.`addTextListener(ITextListener listener)`
`void`
ITextViewer.`removeTextListener(ITextListener listener)`
Removes the given listener from this viewer's set of text listeners.
`void`
TextViewer.`removeTextListener(ITextListener listener)`

## Uses of ITextListener in org.eclipse.jface.text.hyperlink

Classes in org.eclipse.jface.text.hyperlink that implement ITextListener
Modifier and Type
Class
Description
`class`
`HyperlinkManager`
Default implementation of a hyperlink manager.